zenilib: SDL_AudioDevice Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_AudioDevice Struct Reference

`#include <SDL_sysaudio.h>`

## Public Attributes

SDL_AudioCVT | convert
int | enabled
Uint8 * | fake_stream
struct SDL_PrivateAudioData * | hidden
int | iscapture
SDL_mutex * | mixer_lock
int | opened
int | paused
SDL_AudioSpec | spec
SDL_AudioStreamer | streamer
SDL_Thread * | thread
SDL_threadID | threadid
int | use_streamer

## Detailed Description

Definition at line 91 of file SDL_sysaudio.h.

## Member Data Documentation

SDL_AudioCVT SDL_AudioDevice::convert

Definition at line 100 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_MixAudio(), and SDL_RunAudio().

int SDL_AudioDevice::enabled

Definition at line 108 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_GetAudioDeviceStatus(), and SDL_RunAudio().

Uint8* SDL_AudioDevice::fake_stream

Definition at line 113 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), and SDL_RunAudio().

struct SDL_PrivateAudioData* SDL_AudioDevice::hidden

Definition at line 124 of file SDL_sysaudio.h.

int SDL_AudioDevice::iscapture

Definition at line 107 of file SDL_sysaudio.h.

Referenced by open_audio_device().

SDL_mutex* SDL_AudioDevice::mixer_lock

Definition at line 116 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_AudioLockDevice_Default(), SDL_AudioUnlockDevice_Default(), and SDL_RunAudio().

int SDL_AudioDevice::opened

Definition at line 110 of file SDL_sysaudio.h.

Referenced by close_audio_device(), and open_audio_device().

int SDL_AudioDevice::paused

Definition at line 109 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_GetAudioDeviceStatus(), SDL_PauseAudioDevice(), and SDL_RunAudio().

SDL_AudioSpec SDL_AudioDevice::spec

Definition at line 97 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_MixAudio(), and SDL_RunAudio().

SDL_AudioStreamer SDL_AudioDevice::streamer

Definition at line 104 of file SDL_sysaudio.h.

Referenced by SDL_RunAudio().

SDL_Thread* SDL_AudioDevice::thread

Definition at line 119 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_AudioLockDevice_Default(), and SDL_AudioUnlockDevice_Default().

SDL_threadID SDL_AudioDevice::threadid

Definition at line 120 of file SDL_sysaudio.h.

Referenced by SDL_AudioLockDevice_Default(), SDL_AudioUnlockDevice_Default(), and SDL_RunAudio().

int SDL_AudioDevice::use_streamer

Definition at line 103 of file SDL_sysaudio.h.

Referenced by SDL_RunAudio().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/audio/SDL_sysaudio.h